## NAME

v.external - Creates a new pseudo-vector map as a link to an OGR-supported layer or a PostGIS feature table.

## KEYWORDS

vector, import, external, OGR, PostGIS

## SYNOPSIS

v.external
v.external --help
v.external [-fltb] input=string layer=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  List supported formats and exit
-l
  List available layers in data source and exit
-t
  List available layers including feature type in data source and exit
  Format: layer name,type,projection check,geometry
-b
  Do not build topology
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=string [required]
  Name of input OGR or PostGIS data source
  Examples:
  ESRI Shapefile: directory containing a shapefile
  MapInfo File: directory containing a mapinfo file
  PostGIS database: connection string, eg. 'PG:dbname=db user=grass'
layer=name [required]
  Name of OGR layer or PostGIS feature table to be linked
  Examples:
  ESRI Shapefile: shapefile name
  MapInfo File: mapinfo file name
  PostGIS database: table name
output=name
  Name for output GRASS vector map (default: input layer)

## DESCRIPTION

v.external creates new vector map as a link to external OGR layer or PostGIS feature table. OGR (Simple Features Library) is part of the GDAL library, so you need to install GDAL to use v.external for external OGR layers. Note that a PostGIS feature table can be linked also using built-in GRASS-PostGIS data driver (requires GRASS to be built with PostgreSQL support).

### Supported OGR vector formats

To list supported OGR formats, type

    v.external -f

For details see OGR web site.

## EXAMPLES

### ESRI Shapefile

Assuming that 'test_shape.shp' is located in directory '/home/user/shape_data'.

    v.external input=/home/user/shape_data layer=test_shape output=grass_map

### MapInfo files

    v.external input=./ layer=mapinfo_test output=grass_map

### SDTS files

Note: you have to select the CATD file

    v.external input=CITXCATD.DDF output=cities

### TIGER files

    v.external input=input/2000/56015/ layer=CompleteChain,PIP output=t56015_all

### PostGIS layers

PostGIS links are by default created by built-in PostGIS support, ie. using GRASS-PostGIS data driver. If the environment variable `GRASS_VECTOR_OGR` exists, or GRASS is compiled without PostgreSQL support then GRASS will use OGR-PostgreSQL driver for creating a link.

    v.external input="PG:host=localhost user=postgres dbname=postgis" layer=polymap

## NOTES

The simple feature data model used by OGR (or PostGIS) is very different from the topological format used by GRASS. Instead of true topology, so called 'pseudo topology' is created for data linked by v.external. User should learn the difference between those two formats, because some modules working correctly with GRASS native data, can produce wrong results with input vector maps created by v.external.

See v.db.connect for an example of maintaining attributes in external DBMS in also writable mode.

## REFERENCES

OGR vector library C API documentation

## SEE ALSO

v.external.out, v.clean, v.db.connect, v.in.db, v.in.ogr, v.out.ogr

OGR Library
PostGIS

See also GRASS user wiki page for more examples.

## AUTHORS

Radim Blazek, ITC-Irst, Trento, Italy
PostGIS support by Martin Landa, Czech Technical University in Prague, Czech Republic

Last changed: $Date: 2014-11-26 18:33:23 +0100 (st, 26 11 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual